# factory.h File Reference

`#include <log4cplus/config.h>`
`#include <log4cplus/appender.h>`
`#include <log4cplus/layout.h>`
`#include <log4cplus/tstring.h>`
`#include <log4cplus/helpers/property.h>`
`#include <log4cplus/helpers/threads.h>`
`#include <log4cplus/spi/filter.h>`
`#include <log4cplus/spi/objectregistry.h>`
`#include <map>`
`#include <memory>`
`#include <vector>`

Include dependency graph for factory.h:

Go to the source code of this file.

## Namespaces

namespace | log4cplus
namespace | log4cplus::spi

## Detailed Description

Definition in file factory.h.